Orgs Contacts
Create a Contact
Create a new contact for the organization.
POST
/
orgs
/
{org_id}
/
contacts
Create a Contact
curl --request POST \
--url https://api.useinvent.com/orgs/{org_id}/contacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channel": {
"user_id": "<string>",
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"contact_id": "<string>",
"properties": {}
},
"segment_ids": [
"<string>"
]
}
'import requests
url = "https://api.useinvent.com/orgs/{org_id}/contacts"
payload = {
"channel": {
"user_id": "<string>",
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"contact_id": "<string>",
"properties": {}
},
"segment_ids": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
channel: {
user_id: '<string>',
name: '<string>',
email: '<string>',
phone: '<string>',
contact_id: '<string>',
properties: {}
},
segment_ids: ['<string>']
})
};
fetch('https://api.useinvent.com/orgs/{org_id}/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"blocked": true,
"unsubscribed": true,
"ai_replies": true,
"is_admin": true,
"channels": [
{
"id": "<string>",
"user_id": "<string>",
"avatar": "<string>",
"name": "<string>",
"username": "<string>",
"email": "<string>",
"phone": "<string>",
"country": "<string>",
"agent": "<string>",
"ip": "<string>",
"language": "<string>",
"platform_data": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"link": "<string>"
}
],
"segments": [
{
"id": "<string>",
"name": "<string>",
"contacts_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"properties": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"blocked_at": "2023-11-07T05:31:56Z",
"unsubscribed_at": "2023-11-07T05:31:56Z",
"unsubscribe_reason": "<string>",
"unsubscribe_feedback": "<string>",
"ai_replies_at": "2023-11-07T05:31:56Z"
}Authorizations
Bearer token authentication using your API key
Path Parameters
The ID of the org
Body
application/jsonmultipart/form-data
Response
200 - application/json
Schema for the contact
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
Previous
Get Contact StatsGet contact subscription stats (total, subscribed, unsubscribed, blocked).
Next
⌘I
Create a Contact
